Bug 906010 - ipv6 in a Virtual Network definition not handled
ipv6 in a Virtual Network definition not handled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
19
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
: 926927 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-30 10:49 EST by Gene Czarcinski
Modified: 2013-06-12 15:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-12 15:38:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virtual network definition (538 bytes, text/xml)
2013-01-30 10:49 EST, Gene Czarcinski
no flags Details
Screenshow of Connection details/Virtual Networks (46.15 KB, image/png)
2013-01-30 10:52 EST, Gene Czarcinski
no flags Details

  None (edit)
Description Gene Czarcinski 2013-01-30 10:49:13 EST
Created attachment 690428 [details]
virtual network definition

Description of problem:
Actual support for IPv4 would be nice but as a started, virt-manager should at least tolerate valid ipv6 specifications in the virtual network's xml file.

Attached is an example definition and a screenshot of what happens

Version-Release number of selected component (if applicable):
Fedora 18, virt-manager-0.9.4-4
Comment 1 Gene Czarcinski 2013-01-30 10:52:52 EST
Created attachment 690431 [details]
Screenshow of Connection details/Virtual Networks
Comment 2 Gene Czarcinski 2013-03-16 11:09:03 EDT
ping .... any intention of doing anything about this?

libvirt is moving along with its support of IPv6.  It would be "nice" if virt-manager/connection.py did something!
Comment 3 Cole Robinson 2013-03-16 17:23:31 EDT
(copying my virt@fedora posting here for completeness)

No plans at this point. Right now there isn't anyone explicitly working on new
virt-manager features, besides people popping up to scratch an itch.

When I've had time I've been working on the gtk3 port and virtinst merge, but
even once that's done the first big feature I'll likely work on is snapshot
support.

I'd love to get IPv6 support in virt-manager, so if anyone is interested in
giving it a shot I'm happy to mentor.
Comment 4 Gene Czarcinski 2013-03-18 10:18:39 EDT
My knowledge about python can be written on the head of a pin but I am going to give it a shot.  While virt-manager may have some shortcomings, I have looked into gnome-boxes and find it does not meet my needs whereas virt-manager does.

Right now I am doing most of my network creation, maintenance, and operation using virsh net-* but it would be handy if virt-manager connections could at least start and stop a network which includes IPv6.

I don't intend on carrying on any discussion here.  Would you rather have my questions on the virt-tools-list or direct to you?
Comment 5 Cole Robinson 2013-03-18 10:37:43 EDT
Yes please let's continue on virt-tools-list.

I know you've filed other patches too, but if virt-manager fails to even start/stop an ipv6 network that should be an easy fix. If you bring it up on list I can probably patch it quickly, just provide an example network XML and the virt-manager --debug output when reproducing.

The harder parts will be exposing the ipv6 details in the UI, and adding ipv6 support to the 'new network wizard'.

Also, if you are going to poke at the virt-manager code, use the gtk3.2 branch which will become upstream master fairly soon. It's also quite easy to use

git clone git://git.fedorahosted.org/virt-manager.git
cd virt-manager
git checkout gtk3.2
./virt-manager
Comment 6 Cole Robinson 2013-03-18 10:42:39 EDT
(In reply to comment #5)
> I know you've filed other patches too, 

*filed other bugs
Comment 7 Cole Robinson 2013-04-01 06:17:32 EDT
*** Bug 926927 has been marked as a duplicate of this bug. ***
Comment 8 Fedora End Of Life 2013-04-03 10:17:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Cole Robinson 2013-06-12 15:38:40 EDT
Gene implemented all this stuff upstream and it's in F19, so closing.

Note You need to log in before you can comment on or make changes to this bug.